INGRES(1) | General Commands Manual | INGRES(1)

# NAME

`ingres` —
INGRES relational database management system

# SYNOPSIS

`ingres` | [`-+-U`] [`-u` name] [`-c` N] [`-i` lN] [`-f` lxM.N] [`-v` X] [`-r` mode] [`-n` mode] [`-+-a`] [`-+-b`] [`-+-d`] [`-+-s`] [`-+-w`] dbname [process_table]

# DESCRIPTION

The `ingres` command invokes the INGRES relational database management system. dbname is the name of an existing database.

The optional flags have the following meanings. A “+-” means the flag may be stated “+x” to set option x or “-x” to clear option x. A “-” alone means that “-x” must be stated to get the function.

The flags are as follows:

`-+-U`
  Enable or disable direct update of the system relations and secondary indices. The user must have the 000004 bit set in the status field of the users file. This option is provided for system debugging and is strongly discouraged for normal use.
`-u` name
  Pretend to be the user with login name name (found in the users file). If name is of the form `:`xx, xx is the two-character user code. This may only be used by the DBA for the database or by the INGRES superuser.
`-c` N
  Set the minimum field width for printing character domains to N. The default is 6.
`-i` lN
  Set integer output field width to N. l may be 1, 2, or 4 for i1, i2, or i4 types respectively.
`-f` lxM.N
  Set floating point output field width to M characters with N decimal places. l may be 4 or 8 to apply to f4 or f8 types respectively. x may be `e`, `E`, `f`, `F`, `g`, `G`, `n`, or `N` to specify an output format. `E` is exponential form, `F` is floating point form, and `G` and `N` are identical to `F` unless the number is too big to fit, when it is output in `E` format. `G` format guarantees decimal point alignment; `N` does not. The default format for both is `n10.3`.
`-v` X
  Set the column separator for retrieves to the terminal and print commands to be X. The default is the vertical bar character.
`-r` mode
  Set modify mode on the `retrieve into` command to mode. mode may be `isam`, `cisam`, `hash`, `chash`, `heap`, `cheap`, `heapsort`, or `cheapsort`. The default is `cheapsort`.
`-n` mode
  Set modify mode on the `index` command to mode. mode can take the same values as the `-r` flag above. The default is `isam`.
`-+-a`
  Set or clear the autoclear option in the terminal monitor. It defaults to set.
`-+-b`
  Set or clear batch update. Users must have the 000002 bit set in the status field of the users file to clear this flag. This flag is normally set. When clear, queries will run slightly faster, but no recovery can take place. Queries which update a secondary index automatically set this flag for that query only.
`-+-d`
  Print or do not print the dayfile. Normally set.
`-+-s`
  Print or do not print any of the monitor messages, including prompts. This flag is normally set. If cleared, it also clears the `-d` flag.
`-+-w`
  Wait or do not wait for the database. If `+w` is present, INGRES will wait if certain processes are running (purge(1), restore(1), and/or sysmod(1)) on the given database. If `-w` is present, a message is returned and execution stopped if the database is not available. If omitted and the database is unavailable, the error message is returned if INGRES is running in foreground (standard input is from a terminal), otherwise the wait option is invoked.

process_table is the pathname of a file which may be used to specify the run-time configuration of INGRES. This feature is intended for use in system maintenance only, and its use by the user community is strongly discouraged.

It is possible to run the monitor as a batch-processing interface using the ‘`<`’, ‘`>`’, and ‘`|`’ operators of the shell, provided the input file is in proper monitor format.

# EXAMPLES

`ingres demo`
`ingres -d demo`
`ingres -s demo < batchfile`
`ingres -f4g12.2 -i13 +b -rhash demo`

# FILES

.../files/users
  Valid INGRES users.
.../data/base/*
  Databases.
.../files/proctab7
  Runtime configuration file.

# SEE ALSO

creatdb(1), destroydb(1), equel(1), helpr(1), printr(1)

# HISTORY

Originally part of UC Berkeley INGRES 8.9 (1988).

March 28, 2026 | NetBSD 10.1_STABLE